libnvme(2)

NAME
enum nvme_psd_workload - Specifies a workload hint in the Power Management Feature (see &struct nvme_psd.apw) to inform the NVM subsystem or indicate the conditions for the active power level.

SYNOPSIS
enum nvme_psd_workload {
NVME_PSD_WORKLOAD_NP ,
NVME_PSD_WORKLOAD_1 ,
NVME_PSD_WORKLOAD_2

};

Constants

NVME_PSD_WORKLOAD_NP
    The workload is unknown or not provided.

NVME_PSD_WORKLOAD_1
    Extended Idle Period with a Burst of Random Write consists of five minutes of idle followed by thirty-two random write commands of size 1 MiB submitted to a single controller while all other controllers in the NVM subsystem are idle, and then thirty (30) seconds of idle.

NVME_PSD_WORKLOAD_2
    Heavy Sequential Writes consists of 80,000 sequential write commands of size 128 KiB submitted to a single controller while all other controllers in the NVM subsystem are idle. The submission queue(s) should be sufficiently large allowing the host to ensure there are multiple commands pending at all times during the workload.